Inventor General Discussion

Inventor General Discussion

Reply
Member
d_great_ice
Posts: 3
Registered: ‎12-13-2012
Message 1 of 6 (411 Views)

filtering partlist use filter View

411 Views, 5 Replies
12-25-2012 07:01 PM

Dear Someone,

 

 

Can help me, how to filtering a part list use view by assembly drawing, with VBA editor or iLOGic code.

there is no class system in API for filter in partlist class use views filter.

 

 

i use autodesk inventor 2010, and get install use ilogic add-ons 2010

 

i want to get automation system for my inventor design.

 

Thx.

 

Ihsan Surahman,

 

Product Support
VinodBalasubramanian
Posts: 670
Registered: ‎09-30-2007
Message 2 of 6 (367 Views)

Re: filtering partlist use filter View

01-01-2013 10:19 PM in reply to: d_great_ice

You may want to look into the blog article in the below link for sample ilogic codes,

 

http://forums.autodesk.com/t5/Autodesk-Inventor/iLogic-to-Sort-BOM-Renumber-and-sort-Parts-list/td-p...

 

Hope it helps.



Vinod Balasubramanian
Member
d_great_ice
Posts: 3
Registered: ‎12-13-2012
Message 3 of 6 (341 Views)

Re: filtering partlist use filter View

01-04-2013 01:48 AM in reply to: VinodBalasubramanian

link does not exist.

 

:smileysad:


Please help.

*Expert Elite*
karthur1
Posts: 4,331
Registered: ‎04-27-2005
Message 4 of 6 (330 Views)

Re: filtering partlist use filter View

01-04-2013 10:10 AM in reply to: d_great_ice

The URL that he posted was cut off.  I think this might be where he was trying to get you.

 

Try this....

*Expert Elite*
Curtis_Waguespack
Posts: 3,002
Registered: ‎03-08-2006
Message 5 of 6 (314 Views)

iLogic partslist filter, parts list filter

01-04-2013 10:45 AM in reply to: d_great_ice

Hi d_great_ice,

 

I'm not aware of a way to set the parts list filter programatically, but what I've done in the past is to set up a parts list style that has the filter pre-set in that style, and then change the parts list to use that specific style.

 

I hope this helps.
Best of luck to you in all of your Inventor pursuits,
Curtis
http://inventortrenches.blogspot.com

 

'assumes a drawing document is active.
Dim oDrawDoc As DrawingDocument
oDrawDoc = ThisApplication.ActiveDocument
'Set a reference to the active sheet.
Dim oSheet As Sheet
oSheet = oDrawDoc.ActiveSheet
'set a reference to the first drawing view on the sheet. Assumes it's not a draft view.
Dim oDrawingView As DrawingView
oDrawingView = oSheet.DrawingViews(1)
'define the insert point
Dim oPlacementPoint As Point2d
oPlacementPoint = ThisApplication.TransientGeometry.CreatePoint2d (27#, 20.625#)
'create the parts list
Dim oPartsList As PartsList     
oPartsList = oSheet.PartsLists.Add(oDrawingView, oPlacementPoint)
'set parts list to a specific layer
oPartsList.Layer = oDrawDoc.StylesManager.Layers.Item("Visible (ANSI)")
'set parts list to a specific style
oPartsList.Style = oDrawDoc.StylesManager.PartsListStyles.Item("Material List (ANSI) with Filter")

 



  solution.png  Did you find this reply helpful ? If so please use the Accept as Solution or  Kudos button below.





Active Member
JamesVSA
Posts: 6
Registered: ‎07-09-2014
Message 6 of 6 (17 Views)

Re: iLogic partslist filter, parts list filter

12-24-2014 08:48 AM in reply to: Curtis_Waguespack

Curtis_Waguespack wrote:

I'm not aware of a way to set the parts list filter programatically,  


If I may add to an old post, I have a question.  Can the visibility of items in a parts list be controlled through iLogic?  It's a poor substitute for filtering, but it might work for me if filtering isn't possible.

Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Do you have 60 seconds to spare? The Autodesk Community Team is revamping our site ranking system and we want your feedback! Please click here to launch the 5 question survey. As always your input is greatly appreciated.